<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

/////////////////////////////
// Если указано TRUE то комментарии будут выводиться на той же странице где и сам дневник.
// Если указано FALSE то комментарии выводятся на отдельной странице
$komm_list=FALSE;
///////////////////////////

if(!isset($_GET['id']))
{
$set['title']='Ошибка';
include_once '../sys/inc/thead.php';
title();
aut();
echo "Нет такой записи!";
echo"<div class='foot'>\n";
echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}
$id = intval($_GET['id']);



if(mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_list` WHERE  `id` = '".intval($_GET['id'])."'"),0) ==0)
{
$set['title']='Ошибка';
include_once '../sys/inc/thead.php';
title();
aut();
echo "Нет такой записи!";
echo"<div class='foot'>\n";
echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}
$blog=mysql_fetch_array(mysql_query("select * from `blog_list` where `id`='".intval($_GET['id'])."';"));


if($blog['privat'] == 1)
{
if (($user['level'] < 4) && ($user['id'] !=$blog['id_user']))
{
$set['title']='Закрыто';
include_once '../sys/inc/thead.php';
title();
aut();
echo "Этот дневник закрыт!";
echo"<div class='foot'>\n";
echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}
}



mysql_query("UPDATE `blog_list` SET `count` = '".($blog['count']+1)."' WHERE `id` = '$blog[id]' LIMIT 1");
$ank=get_user($blog['id_user']);

$set['title']='Дневники-'.$ank['nick'].'';
include_once '../sys/inc/thead.php';
title();
aut();
err();
if (($user['level'] >= 4) || ($user['id'] ==$blog['id_user']))
{

echo"<a href='edit.php?id=$blog[id]'>Редактировать</a> / <a href='edit.php?id=$blog[id]&amp;del'>Удалить</a><br/>";
}







echo "".online($ank['id'])." \n";
echo "<a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a> (".vremja($blog['time']).")<br />\n";


echo "<span style='color:darkblue'>\n";
echo "<b>".output_text($blog['name'])."</b></span>\n";
echo "</span>\n";
echo "<span style='color:green'>\n";
echo "<br />".output_text($blog['msg'])."\n";
echo "</span>\n";

echo"<br /><img src=\"/blog/21.gif\" alt=\"\"/> <a href='komm.php?id=$blog[id]'>Комментарии</a> (".mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_komm` WHERE `id_blog` = '$blog[id]'"),0).")<br />";







echo"<img src=\"/images/Back.gif\" alt=\"\"/> <a href='index.php'>В Дневники</a><br />\n";
echo"</div>\n";

include_once '../sys/inc/tfoot.php';

?>


